module BasicModule {
    export class BasicState extends Phaser.State {
        game: Phaser.Game;
        backgroundImage: Phaser.Sprite;
        foregroundGroup: Phaser.Group;

        constructor() {
            super();
        }

        create() {
            this.foregroundGroup = this.game.add.group();
            this.foregroundGroup.z = 5;

            this.backgroundImage = this.add.sprite(0, 0, "background");
            this.backgroundImage.scale.setTo(this.game.width / this.backgroundImage.width, this.game.height / this.backgroundImage.height);
        }

        preload() {
            ///loading background
            this.load.image("background", "Graphics/gui/background.jpg");
            this.load.spritesheet("key", "Graphics/gui/key.png",110,110,3);
        }
    }
}